#### D.15.4.33 derivationConstructor

Procedure from library `difform.lib` (see difform_lib).

Usage:
  derivation phi = inp; inp of any type

Return:
  the derivation defined by inp:

Remarks:
  the output depens on the type of inp:
  - if inp is of type list, the constructor derivationFromList is used - if inp is of type poly, number, int or bigint, derivationFromPoly is used

Note:
  for other than the mentioned types, there is no output

Example:

    LIB "difform.lib";
    ring R = 31,(x,y,z),dp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    ////////////////////////////////////////////////////////////
    // Construction of derivations from lists and polynomials //
    ////////////////////////////////////////////////////////////
    list L; L[1] = list(dx,dz,dy); L[2] = list(x2,y-x,z);
    derivation phi = L; phi;
    ==>  Omega_R^1 --> R
    ==>        dx |--> x2
    ==>        dy |--> z
    ==>        dz |--> -x+y
    ==>
    ==>
    derivation psi = 3x2-12z; psi;
    ==>  Omega_R^1 --> R
    ==>        dx |--> 3x2-12z
    ==>        dy |--> 3x2-12z
    ==>        dz |--> 3x2-12z
    ==>
    ==>
    kill Omega_R,dx,dy,dz,phi,psi;

See also: derivationFromList; derivationFromPoly.

User manual for Singular version 4.4.1, 2025, generated by texi2html.